## org.apache.poi.hslf.record
Class Slide

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.PositionDependentRecordContainer
                  org.apache.poi.hslf.record.SheetContainer
                      org.apache.poi.hslf.record.Slide

All Implemented Interfaces:
  PositionDependentRecord

    public final class Slide

extends SheetContainer

Master container for Slides. There is one of these for every slide, and they have certain specific children

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`myLastOnDiskOffset`

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `Slide()` Create a new, empty, Slide, along with its required child records.
`protected` `Slide(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`ColorSchemeAtom` `getColorScheme()`
`PPDrawing` `getPPDrawing()` Returns the PPDrawing of this Slide, which has all the interesting data in it
`long` `getRecordType()` We are of type 1006
`SlideAtom` `getSlideAtom()` Returns the SlideAtom of this Slide
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`getLastOnDiskOffset, getSheetId, setLastOnDiskOffset, setSheetId, updateOtherRecordReferences`

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slide

    protected Slide(byte[] source,
                    int start,
                    int len)

  Set things up, and find our more interesting children

### Slide

    public Slide()

  Create a new, empty, Slide, along with its required child records.

Method Detail

### getSlideAtom

    public SlideAtom getSlideAtom()

  Returns the SlideAtom of this Slide

### getPPDrawing

    public PPDrawing getPPDrawing()

  Returns the PPDrawing of this Slide, which has all the interesting data in it

  Specified by:
    `getPPDrawing` in class `SheetContainer`

### getRecordType

    public long getRecordType()

  We are of type 1006

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### getColorScheme

    public ColorSchemeAtom getColorScheme()

  Specified by:
    `getColorScheme` in class `SheetContainer`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.